textures/mc/ironbar2
{
    surfaceparm metalsteps
    surfaceparm alphashadow
    surfaceparm trans
	surfaceparm nodamage
    cull none
    {
        map textures/mc/ironbar2.tga
        alphaFunc GE128
        depthWrite
    }
    {
        map $lightmap
        depthFunc equal
        rgbGen identity
    }
    q3map_styleMarker2
    {
        map textures/mc/ironbar2.tga
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
        rgbGen identity
    }
}

textures/mc/ladder
{
    surfaceparm woodsteps
    surfaceparm alphashadow
    surfaceparm trans
    cull none
    {
        map textures/mc/ladder.tga
        alphaFunc GE128
        depthWrite
    }
    {
        map $lightmap
        depthFunc equal
        rgbGen identity
    }
    q3map_styleMarker2
    {
        map textures/mc/ladder.tga
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
        rgbGen identity
    }
}

textures/mc/mctrack
{
    surfaceparm woodsteps
    surfaceparm alphashadow
    surfaceparm trans
    cull none
    {
        map textures/mc/mctrack.tga
        alphaFunc GE128
        depthWrite
    }
    {
        map $lightmap
        depthFunc equal
        rgbGen identity
    }
    q3map_styleMarker2
    {
        map textures/mc/mctrack.tga
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
        rgbGen identity
    }
}

textures/mc/mctrackturn
{
    surfaceparm woodsteps
    surfaceparm alphashadow
    surfaceparm trans
    cull none
    {
        map textures/mc/mctrackturn.tga
        alphaFunc GE128
        depthWrite
    }
    {
        map $lightmap
        depthFunc equal
        rgbGen identity
    }
    q3map_styleMarker2
    {
        map textures/mc/mctrackturn.tga
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
        rgbGen identity
    }
}

textures/mc/vine05
{
	qer_editorimage textures/mc/vine05.tga
	q3map_cloneShader textures/mc/vine05_back
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_trans 0.99

	{
		map textures/mc/vine05.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/mc/vine05_back
{
	qer_editorimage textures/mc/vine05.tga

	q3map_invert
	q3map_vertexScale 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 0.5 0 0.1
	{
		map textures/mc/vine05.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

textures/mc/trapdoor
{
    surfaceparm woodsteps
    surfaceparm alphashadow
    surfaceparm trans
    cull none
    {
        map textures/mc/trapdoor.tga
        alphaFunc GE128
        depthWrite
    }
    {
        map $lightmap
        depthFunc equal
        rgbGen identity
    }
    q3map_styleMarker2
    {
        map textures/mc/trapdoor.tga
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
        rgbGen identity
    }
}

textures/mc/section_one
{
   qer_editorimage textures/mc/section_one.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   {
      map textures/mc/section_one.tga
      blendfunc blend
   }
}

textures/mc/section_two
{
   qer_editorimage textures/mc/section_two.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   {
      map textures/mc/section_two.tga
      blendfunc blend
   }
}

textures/mc/section_three
{
   qer_editorimage textures/mc/section_three.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   {
      map textures/mc/section_three.tga
      blendfunc blend
   }
}

textures/mc/information
{
   qer_editorimage textures/mc/information.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   {
      map textures/mc/information.tga
      blendfunc blend
   }
}

textures/mc/mcglass
{
    surfaceparm metalsteps
    surfaceparm alphashadow
    surfaceparm trans
	surfaceparm nodamage
    cull none
    {
        map textures/mc/mcglass.tga
        alphaFunc GE128
        depthWrite
    }
    {
        map $lightmap
        depthFunc equal
        rgbGen identity
    }
    q3map_styleMarker2
    {
        map textures/mc/mcglass.tga
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
        rgbGen identity
    }
}

textures/mc/s1j1
{
   qer_editorimage textures/mc/s1j1.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   {
      map textures/mc/s1j1.tga
      blendfunc blend
   }
}

textures/mc/s1j2
{
   qer_editorimage textures/mc/s1j2.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   {
      map textures/mc/s1j2.tga
      blendfunc blend
   }
}

textures/mc/s1j3
{
   qer_editorimage textures/mc/s1j3.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   {
      map textures/mc/s1j3.tga
      blendfunc blend
   }
}

textures/mc/s2j1
{
   qer_editorimage textures/mc/s2j1.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   {
      map textures/mc/s2j1.tga
      blendfunc blend
   }
}

textures/mc/s2j2
{
   qer_editorimage textures/mc/s2j2.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   {
      map textures/mc/s2j2.tga
      blendfunc blend
   }
}

textures/mc/s2j3
{
   qer_editorimage textures/mc/s2j3.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   {
      map textures/mc/s2j3.tga
      blendfunc blend
   }
}

textures/mc/s3j1
{
   qer_editorimage textures/mc/s3j1.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   {
      map textures/mc/s3j1.tga
      blendfunc blend
   }
}

textures/mc/s3j2
{
   qer_editorimage textures/mc/s3j2.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   {
      map textures/mc/s3j2.tga
      blendfunc blend
   }
}

textures/mc/s3j3
{
   qer_editorimage textures/mc/s3j3.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   {
      map textures/mc/s3j3.tga
      blendfunc blend
   }
}

textures/mc/trapdoor
{
    surfaceparm woodsteps
    surfaceparm alphashadow
    surfaceparm trans
    cull none
    {
        map textures/mc/trapdoor.tga
        alphaFunc GE128
        depthWrite
    }
    {
        map $lightmap
        depthFunc equal
        rgbGen identity
    }
    q3map_styleMarker2
    {
        map textures/mc/trapdoor.tga
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
        rgbGen identity
    }
}
